Hola, ¿alguien ya ha probado el nuevo "Flutter Outline" -View?

Solo veo "Nada que mostrar", ¿qué hago mal? ¿Alguien tiene una idea?

enter image description here

12
swissonid 24 feb. 2018 a las 22:04

6 respuestas

La mejor respuesta

Editar: lo siguiente fue la solución para el momento. Parece que esto comenzó a suceder recientemente y la solución es diferente. Por favor, compruebe la respuesta altamente votada a continuación para esto. https://stackoverflow.com/a/61165205/679553


Como puedo ver en el chat de Gitter, está bajo el canal alfa, porque probablemente instaló el SDK de Flutter a través del complemento IntelliJ (este es un error).

Abra una ventana de terminal / comando y escriba flutter channel. Verás que estás en el canal alfa, que en realidad está abandonado. Debes estar en el canal de desarrollo, pero por alguna razón, cambiar de alfa a desarrollo no funciona. Hacer esto:

flutter channel master
flutter doctor
flutter channel dev
flutter doctor
flutter channel

Esto debería decirte que estás en el canal de desarrollo. Ahora reinicie IntelliJ e intente nuevamente.

Si todavía no funciona, ¿tal vez estás en Windows como yo? Presenté un informe de error sobre eso.

2
Gazihan Alankus 6 may. 2020 a las 21:02

Haga clic derecho en el archivo y seleccione 'reformatear código con dartfmt' formateará su código y luego haga clic izquierdo en el archivo y seleccione el contorno de dardo.

0
XYZ KIDS 1 may. 2020 a las 13:12

Haga clic para reiniciar el botón rojo del servidor de análisis de dardos. Esto funciona para mi.

enter image description here

38
Pyae Sone 12 abr. 2020 a las 00:04

enter image description here

Desde mi experiencia, mantenga presionada la tecla Ctrl / Comando y haga clic en ese widget para activar su contorno de FLutter.

4
Mustafa 18 abr. 2020 a las 16:19

Pase el puntero del mouse sobre cualquier clase / propiedad, luego presione Alt + Enter en el teclado. Puede ver todos los elementos en el contorno del aleteo.

Flutter Outline.

1
Vyacheslav Pukhanov 18 mar. 2020 a las 15:24

Solo corre

flutter pub upgrade esto funciona para mi

2
Ali Baig 7 abr. 2020 a las 17:07